Class | Fog::AWS::STS::Real
In: | lib/fog/aws/requests/sts/get_federation_token.rb lib/fog/aws/requests/sts/get_session_token.rb lib/fog/aws/sts.rb
Parent: | Object

### Methods

get_federation_token get_session_token new reload

### Public Class methods

new(options={})

Initialize connection to STS

#### Notes

options parameter must include values for :aws_access_key_id and :aws_secret_access_key in order to create a connection

#### Examples

      iam = STS.new(
       :aws_access_key_id => your_aws_access_key_id,
       :aws_secret_access_key => your_aws_secret_access_key
      )

#### Parameters

- options<~Hash> - config arguments for connection. Defaults to {}.

#### Returns

- STS object with connection to AWS.

### Public Instance methods

get_federation_token(name, policy, duration=43200)
get_session_token(duration=43200)
reload()

[Validate]